org.jboss.netty.handler.codec.rtsp

## Class RtspResponseEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.http.HttpMessageEncoder
    - - org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder
      - - org.jboss.netty.handler.codec.rtsp.RtspResponseEncoder

- All Implemented Interfaces:
    ChannelDownstreamHandler, ChannelHandler

      public class RtspResponseEncoder
      extends RtspMessageEncoder

  Encodes an RTSP response represented in `HttpResponse` into a `ChannelBuffer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtspResponseEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeInitialLine(ChannelBuffer buf, HttpMessage message)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.rtsp.RtspMessageEncoder

      `encode`

    - ### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

      `handleDownstream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RtspResponseEncoder

          public RtspResponseEncoder()

  - ### Method Detail

    - #### encodeInitialLine

          protected void encodeInitialLine(ChannelBuffer buf,
                               HttpMessage message)
                                    throws Exception

      Specified by:
        `encodeInitialLine` in class `HttpMessageEncoder`
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.